# Type Alias EventLogCfg

type EventLogCfg = {
channel?: string | null;
event_type: string;
id?: number;
occur_at: Date;
payload?: any | null;
user_id?: number | null;
}

- Defined in packages/saltcorn-data/models/eventlog.ts:151

##### Index

### Properties

channel?
event_type
id?
occur_at
payload?
user_id?

## Properties

### `Optional` channel

channel?: string | null

- Defined in packages/saltcorn-data/models/eventlog.ts:154

### event_type

event_type: string

- Defined in packages/saltcorn-data/models/eventlog.ts:153

### `Optional` id

id?: number

- Defined in packages/saltcorn-data/models/eventlog.ts:152

### occur_at

occur_at: Date

- Defined in packages/saltcorn-data/models/eventlog.ts:155

### `Optional` payload

payload?: any | null

- Defined in packages/saltcorn-data/models/eventlog.ts:157

### `Optional` user_id

user_id?: number | null

- Defined in packages/saltcorn-data/models/eventlog.ts:156